com.threerings.whirled.zone.server

## Interface ZoneProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  PeeredZoneRegistry, ZoneRegistry

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from ZoneService.java.")
    public interface ZoneProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `ZoneService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `moveTo(com.threerings.presents.data.ClientObject caller, int arg1, int arg2, int arg3, ZoneService.ZoneMoveListener arg4)` Handles a `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request.

### Method Detail

#### moveTo

    void moveTo(com.threerings.presents.data.ClientObject caller,
                int arg1,
                int arg2,
                int arg3,
                ZoneService.ZoneMoveListener arg4)
         throws com.threerings.presents.server.InvocationException

Handles a `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`